commit: 6760ba2e9dd6246ac09a5b0b7866c2366644ddd4
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 5 20:24:10 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 5 20:34:54 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6760ba2e
dev-python/flit: add 3.8.0
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/flit/Manifest | 1 +
dev-python/flit/flit-3.8.0.ebuild | 55 +++++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/dev-python/flit/Manifest b/dev-python/flit/Manifest
index a77ee600896d..223cef88fe87 100644
--- a/dev-python/flit/Manifest
+++ b/dev-python/flit/Manifest
@@ -1 +1,2 @@
DIST flit-3.7.1.tar.gz 136642 BLAKE2B
b94f8bbe00c2c5fb28bddbdcf240255ed53ec3b24d2eab1a33e37261cf32a92a0171ea01ad1488384c15f46acbf84d47c4679b318932a3ee78f22c1d161156b0
SHA512
336e81b034da2f38d7decb32c8961ce62d30f6fd2cb4778b09c956eb400277673d4c94cd57cf08fa7f115f8836aadb0469197d0096f833da9317db8a4f75baed
+DIST flit-3.8.0.tar.gz 139496 BLAKE2B
85ee9fb13af35bf6716713bd7cf3f5893cd729826ad362aa5ec22077f9b4d16db4d785f183dee37c725b771188f31f2cf38c8e4aedc3af25a3efdc8ff1460bc6
SHA512
08170ee710857fcbfc1f72dbb94c535d70a2477c7598eacacc9a0e2f90f4fe11f4d910f1fcc11de210a6b50d89049e5835127090c6acabb00c69a821919e68cc
diff --git a/dev-python/flit/flit-3.8.0.ebuild
b/dev-python/flit/flit-3.8.0.ebuild
new file mode 100644
index 000000000000..a2c1e11caabf
--- /dev/null
+++ b/dev-python/flit/flit-3.8.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Simplified packaging of Python modules"
+HOMEPAGE="https://github.com/pypa/flit https://flit.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~x86"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ >=dev-python/flit_core-${PV}[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests_download[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+ sys-apps/grep
+ test? (
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # requires Internet
+ tests/test_config.py::test_invalid_classifier
+ # failing due to Gentoo pip patches
+ tests/test_install.py::InstallTests::test_install_data_dir
+ tests/test_install.py::InstallTests::test_install_module_pep621
+ tests/test_install.py::InstallTests::test_symlink_data_dir
+ tests/test_install.py::InstallTests::test_symlink_module_pep621
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc \
+ dev-python/sphinxcontrib-github-alt \
+ dev-python/pygments-github-lexers \
+ dev-python/sphinx_rtd_theme
+
+src_prepare() {
+ # make sure system install is used
+ rm -r flit_core || die
+ distutils-r1_src_prepare
+}